/// <reference types="node" />
import { Module, Input_catFile, Input_resolve, Input_tryResolveUri, Input_getFile, Bytes, Options, ResolveResult, UriResolver_MaybeUriOrManifest } from "./w3";
import { IpfsConfig } from "../common/IpfsConfig";
export interface QueryConfig extends IpfsConfig, Record<string, unknown> {
}
export declare class Query extends Module<QueryConfig> {
    private _ipfs;
    constructor(config: QueryConfig);
    static isCID(cid: string): boolean;
    cat(cid: string, options?: Options): Promise<Buffer>;
    catToString(cid: string, options?: Options): Promise<string>;
    catFile(input: Input_catFile): Promise<Bytes>;
    resolve(input: Input_resolve): Promise<ResolveResult | null>;
    tryResolveUri(input: Input_tryResolveUri): Promise<UriResolver_MaybeUriOrManifest | null>;
    getFile(input: Input_getFile): Promise<Bytes | null>;
    private _execWithOptions;
}
